<?
/*****************************************************************************
Copyright 2008 York University

Licensed under the Educational Community License (ECL), Version 2.0 or the New
BSD license. You may not use this file except in compliance with one these
Licenses.

You may obtain a copy of the ECL 2.0 License and BSD License at
https://source.fluidproject.org/svn/LICENSE.txt
*******************************************************************************/
?>

<?php
if (isset($_POST['submit']))
{
	$required_fields = array(
		'username',
		'pass',
		'newpass',
		'cnewpass'
	);
	foreach ($required_fields as $field)
	{
		if (!isset($_REQUEST[$field]))
			error_required_field();
	}
	$confirmation = array(
		'newpass'
	);
	foreach ($confirmation as $field)
	{
		if (!($_REQUEST[$field] == $_REQUEST['c'.$field]))
			error_non_confirmed();
	}
	require_once '/home/silkwire/public_html/vulabdev/admin/phpESP.ini.php';
	require_once ($ESPCONFIG['include_path']."/lib/vulabdatalib.php");
    esp_init_adodb();
    $sql = "SELECT * FROM $ESPCONFIG[user_table] WHERE `password` = PASSWORD('$_REQUEST[pass]') AND `username` = '$_REQUEST[username]'";
    $result = execute_sql($sql);
    if ($result->RecordCount() <= 0)
    	error_password_invalid();
    $sql = "UPDATE $ESPCONFIG[user_table] SET `password` = PASSWORD('$_REQUEST[newpass]') WHERE `username` = '$_REQUEST[username]'";
    $result = execute_sql($sql);
    
	echo "Your password has successfully been changed! You may now <a href='/admin/'>log in</a>.";
}
else
	showForm();
function error_password_invalid()
{
	showForm('Your current password is invalid.');
}
function error_required_field()
{
	showForm('Your have omitted one or more required fields.');
}
function error_non_confirmed()
{
	showForm('Your passwords and/or e-mail addresses did not match their confirmation tests.');
}
function showForm($error = null)
{
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd"><head>
<title>OpenVULab Registration</title>
<link rel="stylesheet" href="http://vulabdev.silkwire.com/vulab-dev/public/css/default.css" type="text/css">
</head>
<body id="auth">
<div class="headerGraphic"></div><div class="login"><h1>OpenVULab Registration</h1>
<form name="loginform" id="loginform"  method="post">
<fieldset><legend>Change Password</legend>
<h2>Please fill out the following form (all fields are required) to change your password</h2>
<?php
	if ($error != null)
		echo '<h2 style="color:red">ERROR: '.$error.'</h2>';
?>
<div class="row"><label for="username">Username:</label><input type="text" size="20" name="username" />
</div>
<div class="row"><label for="username">Current Password:</label><input type="password" size="20" name="pass" />
</div>
<div class="row"><label for="username">New Password:</label><input type="password" size="20" name="newpass" />
</div>
<div class="row"><label for="username">Confirm New Password:</label><input type="password" size="20" name="cnewpass" />
</div><div class="row">
<input type="submit" name="submit" value="Submit" /><input type="reset" value="Clear" /></div></fieldset>
</div>
</form>
</body>
</html>
<?php
	exit();
}
?>