<?php
/*****************************************************************************
Copyright 2008 York University

Licensed under the Educational Community License (ECL), Version 2.0 or the New
BSD license. You may not use this file except in compliance with one these
Licenses.

You may obtain a copy of the ECL 2.0 License and BSD License at
https://source.fluidproject.org/svn/LICENSE.txt
*******************************************************************************/
?><?php
/*
File: 		step_html_5.inc \\v 1.0
Info:		for ?where=create&step=5 (invite users)
Author: 	Blake Edwards
Email:		electBlake@gmail.com

License: 	http://source.fluidproject.org/svn/fluid/components/trunk/LICENSE.txt
*/
?>

<div class="field_lines">
<h1>Select Testers to Invite</h1>
<input type="submit" value="Invite Users"/>
<?php
$fields = array('option_checkbox','userid','username','fname','lname');
$aliases = array('userid'=>'User ID','username'=>'Username','fname'=>'First name','lname'=>'Last name');
$options = array('titles'=>true,'aliases'=>$aliases);
$testers = getUsers('tester');
foreach ($testers as $k => $tester) {
	$tester = new Perm('user',$tester->id);
	if (!is_numeric($tester->id) OR $tester->checkUser($project->id)) {
		unset($testers[$k]);
	}
}
echo display_users_table($fields,$testers,$options);
?>

<input type="hidden" name="from" value="5" id="from" />
<input type="hidden" name="go" value="5" id="go" />
<input type="hidden" name="where" value="view" id="where" />
<input type="submit" value="Invite Users"/>
</div>