<?
/*****************************************************************************
Copyright 2008 York University

Licensed under the Educational Community License (ECL), Version 2.0 or the New
BSD license. You may not use this file except in compliance with one these
Licenses.

You may obtain a copy of the ECL 2.0 License and BSD License at
https://source.fluidproject.org/svn/LICENSE.txt
*******************************************************************************/
?><?php
/*
File: 		create.inc \\v 1.0
Info:		- File designed to handle all project creation/editing and survey (iframed) creation.
Author: 	Blake Edwards
Email:		electBlake@gmail.com

License: 	http://source.fluidproject.org/svn/fluid/components/trunk/LICENSE.txt
*/
?>
<?php
session_start();

/* $Id: create.inc,v 1.32 2007/12/03 13:08:13 liedekef Exp $ */

/* vim: set tabstop=4 shiftwidth=4 expandtab: */

// Written by James Flemer
// For eGrad2000.com
// <jflemer@alum.rpi.edu>
//Some Legacy
$base =& $GLOBALS['ESPCONFIG']['ME'];
$bg = '';
////////////////


//Manage Modes
if ($_GET[where] == 'create') {
	$_SESSION['mode'] = 'create';
	unset($_SESSION[pid]);
	unset($_SESSION[renamed]);
	unset($_SESSION[last_tab]);
	unset($_SESSION[curr_q]);
	unset($_SESSION[survey_id]);
	unset($_SESSION[new_survey]);
}
if ($_GET['pid']) {
	$_SESSION['mode'] = 'manage';
	$_SESSION['pid'] = $_GET['pid'];
}
//Popoulate edit mode
if ($_SESSION['mode'] == 'manage' AND $_SESSION['pid']) {
	$project = new Project;
	$project->init($_SESSION[pid]);
}

//Lets Figure out our Navigation Vars
$step = $_POST[step];
if ($_GET[step]) { $step = $_GET[step]; }
if ($_POST[go]) { $step = $_POST[go]; }

if ($_POST[where_sub] OR $_GET[where_sub]) {
	if ($_POST[where_sub]) {
		$step = $_POST[where_sub];
	} else {
		$step = $_GET[where_sub];
	}
}


if (!$step OR strtolower($step)== 'first' OR strtolower($step) == 'start') { $step = 5; }
$from = $_POST[from];


//If there has been a step change, lets process!
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	include(esp_where("step_process_$from"));
}

$stepswitch[$step] = 'on';
	if ($_SESSION[debug]) {
/*		if (@$project) {
			echo "<script type='text/javascript'>\n";
			echo "alert('asdfsf');\n";
			echo "$('.debug').append('";
			echo '<strong>project</strong>';
			print_r($project);
			echo "');\n";
			echo "</script>";		
		}*/
	
	}
if ($project->details['status'] == '2') {

}

	
	$postid = $project->post_survey['id'];
    $ridSQL = "SELECT * FROM `response` WHERE `survey_id` = '$postid'";
    $ridResult = execute_sql($ridSQL);
    $ridCount = 0;
    while ($ridRow = fetch_row($ridResult)) {
    	if ($ridCount > 0) {
    		break;
    	}
    	$ridResult->MoveNext();
    	$firstPostRid = $ridRow[0];
    	++$ridCount;
    }
    
	$preid = $project->pre_survey['id'];
    $ridSQL = "SELECT * FROM `response` WHERE `survey_id` = '$preid'";
    $ridResult = execute_sql($ridSQL);
    $ridCount = 0;
    while ($ridRow = fetch_row($ridResult)) {
    	if ($ridCount > 0) {
    		break;
    	}
    	$ridResult->MoveNext();
    	$firstPreRid = $ridRow[0];
    	++$ridCount;
    }
    
?>

<div id="project_container">
<div id="project_topnav">
<div class="right"><a href="?where=deleteproject&lay=ajax&id=<?=$project->id;?>&KeepThis=true&TB_iframe=true&height=200&width=450" class="thickbox" title="Are you sure you want to delete this project?"><img src="../images/delete.png" alt="Delete" />Delete Project</a><a href="?where=deactivateproject&lay=ajax&id=<?=$project->id;?>&KeepThis=true&TB_iframe=true&height=200&width=450" class="thickbox deactivatebutton" title="Are you sure you want to deactivate this project?"><img src="../images/world_delete.png" alt="Deactivate" />Deactivate Project</a><a href="?where=manage"><img src="../images/exit.png" alt="Exit"/>Exit</a></div>
<h2>Project: <?php echo ($project->details[name] ? $project->details[name] : "Untitled"); ?> <small class="green">(active)</small></h2>
</div>
<div id="steps">
<div style="float:left;padding:5px;">
<h3>
Results:</h3>
<div style="margin-left:20px;text-align:left;font-size:13px;">
	<strong>
	<? if ($project->pre_survey['id']) { echo '<a href="?where=results&pid='.$project->id.'&sid='.$project->pre_survey['id'].'">Pre-Survey Totals</a>'; }?>
	<? if ($project->pre_survey['id'] AND $project->post_survey['id']) { echo ' - '; }?>
	<? if ($project->post_survey['id']) { echo '<a href="?where=results&pid='.$project->id.'&sid='.$project->post_survey['id'].'">Post-Survey Totals</a>'; } ?>
	- <a href="?where=results&pid=<?=$project->id?>&sid=<?=$project->post_survey['id']?>&rid=<?=$firstPostRid?>">Browse Videos</a>
	</strong>
	<br />
	<a href="?where=results&pid=<?=$project->id?>&sid=<?=$project->pre_survey['id']?>&rid=<?=$firstPreRid?>">Browse Pre-Survey Responses</a>
	 - <a href="?where=results&pid=<?=$project->id?>&sid=<?=$project->post_survey['id']?>&rid=<?=$firstPostRid?>">Browse Post-Survey Responses & Videos</a>
</div>

</div>
</div>
<div style="clear:both;"></div>
<?
if ($err) { 
	echo "<div id='errors'>";
	foreach ($err as $msg) {
		if (is_array($msg)) {
			foreach ($msg as $m) { echo "<div>$m</div>"; }
		} else {
			echo "<div>$msg</div>";
		}
	}
	echo "</div>";
}
if ($note) { 
	echo "<div id='notes'>";
	foreach ($note as $msg) {
		echo "<div>$msg</div>";
	}
	echo "</div>";
}
if ($good) { 
	echo "<div id='goods'>";
	foreach ($good as $msg) {
		echo "<div>$msg</div>";
	}
	echo "</div>";
}
?>
<div class="clear"></div>
</div>

<?php
if (!empty($_POST)) {
	echo "<div id='postdata'>";
	foreach($_POST as $name=>$value) {
		echo "$name=$value&";
	}
	echo "</div>";
}
?>