<?
/*****************************************************************************
Copyright 2008 York University

Licensed under the Educational Community License (ECL), Version 2.0 or the New
BSD license. You may not use this file except in compliance with one these
Licenses.

You may obtain a copy of the ECL 2.0 License and BSD License at
https://source.fluidproject.org/svn/LICENSE.txt
*******************************************************************************/
?>
<?php

	unset($found_user);
	
	# inital includes
	require_once 'include_all.php';
	require_once ($ESPCONFIG['include_path']."/lib/vulabdatalib.php");
    esp_init_adodb();
    
	# lets see if there are any users in the database
	$users_sql = 'SELECT * FROM user';
	$users_res = execute_sql($users_sql);
	if (!$users_res) {
	}
	$users_num = $users_res->RecordCount();
    
    if ($users_num > 0) { $found_user = true; } else { $found_user = false; }

    # if there is no users found, aka this is the first user, lets make them a superuser
    if ($found_user == true) {
    	$realm = 'auto';
    } else {
    	$realm = 'superuser';
    }    

if (isset($_REQUEST['Register']))
{
	$required_fields = array(
		'username',
		'password',
		'cpassword',
		'email',
		'cemail'
	);
	foreach ($required_fields as $field)
	{
		if (!isset($_REQUEST[$field]))
			error_required_field();
	}
	$confirmation = array(
		'password',
		'email'
	);
	foreach ($confirmation as $field)
	{
		if (!($_REQUEST[$field] == $_REQUEST['c'.$field]))
			error_non_confirmed();
	}
    
    	
    $sql = "INSERT INTO $ESPCONFIG[user_table] VALUES('','$_REQUEST[username]',PASSWORD('$_REQUEST[password]'),'$_REQUEST[fname]','$_REQUEST[lname]','$_REQUEST[email]','$_REQUEST[type]','N')";
    $result = execute_sql($sql);
    
    if ($_REQUEST['type'] == 'Y')
    {
	    $sql = "INSERT INTO `designer` VALUES ('$_REQUEST[username]',PASSWORD('$_REQUEST[password]'),'BASIC','$realm','$_REQUEST[fname]','$_REQUEST[lname]','$_REQUEST[email]','Y','N','N','N','N','N','N',now(),NULL)";
    	$result = execute_sql($sql);
	}
	$sql = "INSERT INTO `respondent` VALUES('$_REQUEST[username]',PASSWORD('$_REQUEST[password]'),'BASIC','$realm','$_REQUEST[fname]','$_REQUEST[lname]','$_REQUEST[email]','N',now(),NULL)";
		
    $result = execute_sql($sql);
    
    if ($_REQUEST['type'] == 'Y') {
    	//$emailMESSAGE = "To Whom it may Concern:\n\tA new signup has been submitted for a researcher with the following details:\n\tUsername: $_REQUEST[username]\n\tName: $_REQUEST[fname] $_REQUEST[lname]\n\tE-Mail Address: $_REQUEST[email]\n\n\tTo disable this user's account, please click here: http://".$_SERVER['SERVER_NAME']."/admin/disable.php?username=$_REQUEST[username]\n\n\nThis is an automated e-mail.";
	    //mail($ESPCONFIG['email']['to'],$ESPCONFIG['email']['subject'],$emailMESSAGE);
	}
	
	$user = new User(mysql_insert_id());
	$options = array('type'=>'welcome','from'=>'invite@vulab.electblake.com');
	$mailresults = $user->email($subject,$message,$options);
	if ($mailresults) {
		echo 'Welcome Email Successfully Sent!</br>';
	} else {
		$err[] = "Sorry! Welcome email cannot be sent at this time.";
	}    
	echo "Thank you for registering! You may now <a href='/admin/'>log in</a>.";
}
else
	showForm();
	
function error_required_field()
{
	showForm('Your have omitted one or more required fields.');
}
function error_non_confirmed()
{
	showForm('Your passwords and/or e-mail addresses did not match their confirmation tests.');
}
function showForm($error = null)
{
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd"><head>
<title>OpenVULab Registration</title>
<link rel="stylesheet" href="http://vulabdev.silkwire.com/vulab-dev/public/css/default.css" type="text/css">
</head>
<body id="auth">
<div class="headerGraphic"></div><div class="login"><h1>OpenVULab Registration</h1>
<form name="loginform" id="loginform"  method="post">
<fieldset><legend>Registration</legend>
<h1>All fields are required unless marked otherwise</h1>
<?php
	if ($error != null)
		echo '<h2 style="color:red">ERROR: '.$error.'</h2>';
?>
<div class="row"><label for="username">Username:</label><input type="text" size="20" name="username" />
</div><div class="row">
<label for="password">Password:</label><input type="password" name="password" />
</div><div class="row">
<label for="password">Confirm Password:</label><input type="password" name="cpassword" />
</div><div class="row">
<label for="password">First Name (optional):</label><input type="text" name="fname" />
</div><div class="row">
<label for="password">Last Name (optional):</label><input type="text" name="lname" />
</div><div class="row">
<label for="password">E-Mail Address:</label><input type="text" name="email" />
</div><div class="row">
<label for="password">Confirm E-Mail Address:</label><input type="text" name="cemail" />
</div><div class="row">
<label for="password">I am a:</label><select name="type">
<?php
	# lets see if there are any users in the database
	$users_sql = 'SELECT * FROM user';
	$users_res = execute_sql($users_sql);
	if (!$users_res) {
	}
	$users_num = $users_res->RecordCount();
	
	echo $users_num;
# if there are no users, lets make the first user a researcher aka admin aka superuser aka root
 if ($users_num < 1) {
?>
	<option value="Y">Admin User</option>
<?php
} else {
?>
	<option value="Y">Researcher</option>
	<option value="N" SELECTED>Tester</option>
<?php
}
?>
</select>
</div><div class="row">
<input type="submit" name="Register" value="Submit" /><input type="reset" value="Clear" /></div></fieldset>
</form>
</div>
</body>
</html>
<?php
	exit();
}
?>